commit: ed80be088dd9be0265c53c43e038987a192be381
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 24 01:23:12 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 24 01:54:19 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed80be08
dev-python/pydantic-core: Bump to 2.33.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pydantic-core/Manifest | 1 +
.../pydantic-core/pydantic-core-2.33.2.ebuild | 178 +++++++++++++++++++++
2 files changed, 179 insertions(+)
diff --git a/dev-python/pydantic-core/Manifest
b/dev-python/pydantic-core/Manifest
index 5d240123d145..595cc202f579 100644
--- a/dev-python/pydantic-core/Manifest
+++ b/dev-python/pydantic-core/Manifest
@@ -52,6 +52,7 @@ DIST portable-atomic-1.6.0.crate 140689 BLAKE2B
c91d06e04a87c9a207233d8a850859aa
DIST proc-macro2-1.0.86.crate 48958 BLAKE2B
4b89e07f23af8328dbb34fe2b3f1b202f1e6a3885a6269740a23359b41bb4099ac2484565d3b2b0936261689ca525785ac620c766997234fd8d0f409e80e5ea3
SHA512
1cdb7e22a35ae231d880c9420784c9acf97bda2db258b3d34aae5061dc1858449defe19a49e12c6a4173906aa72a4115059ac2db0fc760205fd2ab8b5b414434
DIST pydantic_core-2.27.2.tar.gz 413443 BLAKE2B
2755ba694b17894ff89704203c275315dc6a600e5e89965f24800ff032802168a9fa5bbb26e9714dae42f645e34e0ac32191415fae04bd53a8d04c41f1d3e2c4
SHA512
4e0bc0137463d3a76bb584da76751916ddaa18383efbe15a303880649df67de22c67a8a6e5f889c76292c4557914811d942fd3373dad65b63d9fb1f84f34ce3e
DIST pydantic_core-2.33.1.tar.gz 434395 BLAKE2B
3819c69b829655403888ac7feff11081f31cb459ca41bef7b4aec2afcf3285126ab01e8ba04c91ac7b1f74495dc85236bd5b7da9b3673497fc3eb8fa6eafe992
SHA512
f6e178296b4e47e498e2c5f65ee00c83fdd6f29af670215acf014fe2e29eab1b4072ab27f4c060d91e74171652e077ec561b9857f6bca20c6518f3eeec332533
+DIST pydantic_core-2.33.2.tar.gz 435195 BLAKE2B
8ac251da2eb8b9f4e54a55ca79945f18d5a229c76386b6076bc3c7e33f2a18f4e47b430afc952b4b19e48d3d5bb8d7b8ad1aca012a8b0707445c06c00a649a0a
SHA512
253609ca32aa0a1f0e15271982494832e02f2b4e072439d9a9372ead3d914edf60d6ab50e38bbeea17c233eb20a938948631e1c704bc31785d7e81442d043893
DIST pydantic_core-2.34.1.tar.gz 435281 BLAKE2B
8458285b41874b2af12ab9e167606b36653fbe1e0febe22b59c6cb9ba1cf2e936029c18e4123d1f4ba4653eda1b5476984983dfd736b95c6654336555852ea14
SHA512
2ecf2d683c6b144ac6a5028a1896f4a2b6abd944ab8010fed25a5b7b7aa3093f7c12dceb5cd14cef7eea9194c1bef9866faf26c554636dfc5fdc191b3af577b6
DIST pyo3-0.22.6.crate 546746 BLAKE2B
2a6f8c5ce2ee96e1812177a11c5fad7e15f3a73d9e30850edf0855b13db6cc95427e186883b4aae25a2d2466d3fe82f56180a39f3e6e0a54bb0a3ef78d495400
SHA512
d746007eae22f5b7bbf173759c61cbd2aa893898d88b8be5680a0237deec4d113246edf5f62fbbec3579ad4bd7307499b94b887ec306112ffe3df5190fe70e44
DIST pyo3-0.24.0.crate 1108432 BLAKE2B
03098e1ed1f2bcb489ab5fbaf2605631f75804ad138591ae88975c287b8e7544e5f70ef7e3261625075498ac00545b79f6c0b5aab3bcdee2897cbbfabc3f7e87
SHA512
2b9be3cc780c48198ccad08c304053c5248d7c3b7a32e8a3eeba48246b962aa71cbf31ab8c49cab9b555933cccd447412761017b477019a35dc2598999fe63ad
diff --git a/dev-python/pydantic-core/pydantic-core-2.33.2.ebuild
b/dev-python/pydantic-core/pydantic-core-2.33.2.ebuild
new file mode 100644
index 000000000000..1025b645a04d
--- /dev/null
+++ b/dev-python/pydantic-core/pydantic-core-2.33.2.ebuild
@@ -0,0 +1,178 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( pypy3 pypy3_11 python3_{10..13} )
+
+CRATES="
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+wasi-snapshot-preview1
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Core validation logic for pydantic written in Rust"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic-core/
+ https://pypi.org/project/pydantic-core/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0 Unicode-DFS-2016
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/dirty-equals-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.63.0[${PYTHON_USEDEP}]
+ >=dev-python/inline-snapshot-0.13.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.10.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.10.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/pydantic_core/_pydantic_core.*.so"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -i -e '/--benchmark/d' pyproject.toml || die
+ sed -i -e '/^strip/d' Cargo.toml || die
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+ local EPYTEST_DESELECT=(
+ # TODO: recursion till segfault
+ tests/serializers/test_functions.py::test_recursive_call
+ )
+
+ case ${EPYTHON} in
+ pypy3.11)
+ EPYTEST_DESELECT+=(
+ # different repr() in exception
+ # https://github.com/pypy/pypy/issues/5220
+
tests/validators/test_arguments.py::test_error_display
+
tests/validators/test_definitions_recursive.py::test_error_inside_definition_wrapper
+
tests/validators/test_string.py::test_invalid_regex
+
tests/validators/test_string.py::test_backtracking_regex_rust_unsupported
+
tests/validators/test_union.py::test_empty_choices
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf pydantic_core || die
+ # tests link to libpython, so they fail to link on pypy3
+ [[ ${EPYTHON} != pypy3* ]] && cargo_src_test
+ epytest -p pytest_mock -p timeout -o xfail_strict=False -o addopts=
+}